@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

*{
    box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

body {
    font-family: 'Roboto', 'san-serif';
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    font-size: 1.6rem;
    font-weight: normal;
    background-image: linear-gradient(90deg, #7d5fff, #7158e2);
    overflow-x: hidden;
    margin: 0;
}

.search {
    position: relative;
    height: 5rem;
}

.search .input {
    background-color: #fff;
    border: 0;
    font-size: 1.8rem;
    padding: 1.5rem;
    height: 5rem;
    width: 5rem;
    transition: width 0.3s ease;
}

.btn {
    background-color: #fff;
    border: 0;
    cursor: pointer;
    font-size: 2.4rem;
    position: absolute;
    top: 0;
    left: 0;
    height: 5rem;
    width: 5rem;
    transition: transform 0.3s ease;
}

.btn:focus .input {
    outline: none;
}

.search.active .input {
    width: 20rem;
}

.search.active .btn {
    transform: translateX(19.8rem);
}
